{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "749960d7",
   "metadata": {},
   "source": [
    "# Сумма цифр в строке #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "e18f4190",
   "metadata": {},
   "source": [
    "Давайте начнем с несложной задачки - ваша цель найти сумму цифр, из которых состоит строка.\n",
    "\n",
    "Вы должны создать Python модуль `solution.py`. Этот файл запускаем с аргументом командной строки – строкой, состоящей из цифр. Например, вот такой:\n",
    "\n",
    "\"873\"\n",
    "\n",
    "Чтобы получить ввод, вы в начале программы можете считать его, используя модуль стандартной библиотеки sys:\n",
    "\n",
    "```python\n",
    "import sys\n",
    "\n",
    "digit_string = sys.argv[1]\n",
    "```\n",
    "\n",
    "В переменной `digit_string` будет содержаться строка \"873\" (ну или какая-то другая строка, в том числе другой длины). В строке, подаваемой на вход, будут только символы, соответствующие цифрам от 0 до 9.\n",
    "\n",
    "В результате ваша программа должна напечатать на экран сумму цифр (для строки \"873\" сумма будет 18).\n",
    "\n",
    "То, что полученная программа ведет себя должным образом можно проверить локально, запустив ее следующим образом:\n",
    "\n",
    "```python\n",
    "python3 solution.py 873\n",
    "```\n",
    "\n",
    "В списке `sys.argv` будут лежать аргументы командной строки, `sys.argv[0]` - имя запущенного файла, `sys.argv[1]` - строка, сумму цифр которой необходимо посчитать и вывести на экран."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "38669063",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "18\n"
     ]
    }
   ],
   "source": [
    "! python solution.py 873"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
